var spawnPoint : Transform;

private var resettables : Array = Array();

//would be good to make a Resettable class to extend for this.
function AddResettable( aSinkingGround : SinkingGround )
{
	resettables.Add( aSinkingGround );
}

function Reset()
{
	for( var sinkGround : SinkingGround in resettables )
	{
		sinkGround.Reset();
	}
}

function OnTriggerEnter( aCollider : Collider )
{
	var thePlayer : PlayerController = aCollider.gameObject.GetComponent( PlayerController );
	if( thePlayer )
	{
		thePlayer.SetCheckpoint( this );
	}
}

function OnCollisionEnter( aCollision : Collision )
{
	var thePlayer : PlayerController = aCollision.gameObject.GetComponent( PlayerController );
	if( thePlayer )
	{
		thePlayer.SetCheckpoint( this );
	}
}