public var hiddenHint : GameObject;

private var audioSrc : AudioSource;

function Start()
{
	hiddenHint.GetComponentInChildren( Renderer ).enabled = false;
	audioSrc = GetComponent( AudioSource );
}

function OnTriggerEnter( aCollider : Collider )
{
	var thePlayer : PlayerController = aCollider.gameObject.GetComponent( PlayerController );
	
	if( thePlayer  )
	{
		audioSrc.Play();
		hiddenHint.GetComponentInChildren( Renderer ).enabled = true;
		thePlayer.Win();
	}
}